Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.util.introspection
Class UberspectImpl.VelGetterImpl

    java.lang.Object
      |
      +--org.apache.commons.jexl.util.introspection.UberspectImpl.VelGetterImpl

All Implemented Interfaces:
  VelPropertyGet

Enclosing class:
  UberspectImpl

public class UberspectImpl.VelGetterImpl
extends Object
implements VelPropertyGet

{@inheritDoc}

Field Summary
`protected AbstractExecutor` | `ae` executor for performing the get.

Constructor Summary
`UberspectImpl.VelGetterImpl(AbstractExecutor exec)` Create the getter using an `AbstractExecutor` to do the work.

Method Summary
`String` | `getMethodName()` {@inheritDoc}
`Object` | `invoke(Object o)` {@inheritDoc}
`boolean` | `isCacheable()` {@inheritDoc}

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ae

    protected AbstractExecutor ae

  executor for performing the get.

Constructor Detail

### UberspectImpl.VelGetterImpl

    public UberspectImpl.VelGetterImpl(AbstractExecutor exec)

  Create the getter using an `AbstractExecutor` to do the work.
  Parameters:
    `exec` - the executor.

Method Detail

### invoke

    public Object invoke(Object o)
                  throws Exception

  {@inheritDoc}
  Specified by:
    `invoke` in interface `VelPropertyGet`
  Following copied from interface: `org.apache.commons.jexl.util.introspection.VelPropertyGet`
  Parameters:
    `o` - the object to get the property from.
  Returns:
    the property value.
  Throws:
    `Exception` - on any error.

### isCacheable

    public boolean isCacheable()

  {@inheritDoc}
  Specified by:
    `isCacheable` in interface `VelPropertyGet`
  Following copied from interface: `org.apache.commons.jexl.util.introspection.VelPropertyGet`
  Returns:
    true if can be reused for this class, false if not

### getMethodName

    public String getMethodName()

  {@inheritDoc}
  Specified by:
    `getMethodName` in interface `VelPropertyGet`
  Following copied from interface: `org.apache.commons.jexl.util.introspection.VelPropertyGet`
  Returns:
    the method name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 The Apache Software Foundation. All Rights Reserved.